%define major %(echo %{version} | cut -d. -f1,2)

%define libname    %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

Name:       mtxclient
Version:    0.9.2
Release:    %mkrel 1
License:    MIT
Group:      System/Libraries
Summary:    Client API library for Matrix, built on top of Boost.Asio
URL:        https://github.com/Nheko-Reborn/%{name}
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Boost) >= 1.70
BuildRequires:  cmake(mpark_variant)
BuildRequires:  cmake(nlohmann_json) >= 3.1.2
BuildRequires:  cmake(Olm) >= 3.2.7
BuildRequires:  cmake(spdlog) >= 0.16

BuildRequires:  pkgconfig(coeurl) >= 0.3.0
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(re2)
BuildRequires:  pkgconfig(zlib)


%description
Client API library for the Matrix protocol, built on top of Boost.Asio.

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:    Client API library for Matrix, built on top of Boost.Asio
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Obsoletes:  %{name} < 0.8.2-1

%description -n %{libname}
Client API library for the Matrix protocol, built on top of Boost.Asio.

#------------------------------------------------------------------------------

%package -n %{devel_name}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devel_name}
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DHUNTER_ENABLED:BOOL=OFF \
    -DUSE_BUNDLED_BOOST:BOOL=OFF \
    -DUSE_BUNDLED_SPDLOG:BOOL=OFF \
    -DUSE_BUNDLED_OLM:BOOL=OFF \
    -DUSE_BUNDLED_GTEST:BOOL=OFF \
    -DUSE_BUNDLED_JSON:BOOL=OFF \
    -DUSE_BUNDLED_OPENSSL:BOOL=OFF \
    -DASAN:BOOL=OFF \
    -DCOVERAGE:BOOL=OFF \
    -DIWYU:BOOL=OFF \
    -DBUILD_LIB_TESTS:BOOL=OFF \
    -DBUILD_LIB_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install


%files -n %{libname}
%doc CHANGELOG.md README.md
%license LICENSE
%{_libdir}/libmatrix_client.so.%{major}{,.*}

%files -n %{devel_name}
%{_includedir}/%{name}
%{_includedir}/mtx
%{_includedir}/mtx.hpp
%dir %{_libdir}/cmake
%{_libdir}/cmake/MatrixClient
%{_libdir}/libmatrix_client.so


%changelog
* Sun Apr 23 2023 squidf <squidf> 0.9.2-1.mga9
+ Revision: 1954627
- New version: 0.9.2

* Sat Jan 14 2023 squidf <squidf> 0.9.1-1.mga9
+ Revision: 1932882
- New version: 0.9.1
- Use coeurl 0.3.0

* Thu Dec 22 2022 squidf <squidf> 0.8.2-2.mga9
+ Revision: 1925899
- Create lib according to MGA standard

* Wed Dec 21 2022 squidf <squidf> 0.8.2-1.mga9
+ Revision: 1925481
-first build for MGA required by Nheko

